Package com.xebialabs.xlrelease.domain.events

# Class FolderMovingAction$

java.lang.Object
scala.runtime.AbstractFunction3<String,String,String,FolderMovingAction>
com.xebialabs.xlrelease.domain.events.FolderMovingAction$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<String,String,String,FolderMovingAction>`

public class FolderMovingAction$ extends scala.runtime.AbstractFunction3<String,String,String,FolderMovingAction> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FolderMovingAction$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderMovingAction$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FolderMovingAction`
  `apply(String folderId, String oldParentId, String newParentId)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<String,String,String>>`
  `unapply(FolderMovingAction x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final FolderMovingAction$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### FolderMovingAction$

    public FolderMovingAction$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<String,String,String,FolderMovingAction>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<String,String,String,FolderMovingAction>`

  - ### apply

    public FolderMovingAction apply(String folderId, String oldParentId, String newParentId)
    Specified by:
      `apply` in interface `scala.Function3<String,String,String,FolderMovingAction>`

  - ### unapply

    public scala.Option<scala.Tuple3<String,String,String>> unapply(FolderMovingAction x$0)